Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77578 - perl-5.6.1-34.99.6.src.rpm won't compile in RH7.3
Summary: perl-5.6.1-34.99.6.src.rpm won't compile in RH7.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard: triage|leonardjo|closed|errata
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-09 17:07 UTC by Oliver Schulze L.
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-22 16:51:05 UTC


Attachments (Terms of Use)

Description Oliver Schulze L. 2002-11-09 17:07:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2b)
Gecko/20021029 Phoenix/0.4

Description of problem:
perl-5.6.1-34.99.6.src.rpm does not finish compiling in RH7.3.
All build dependencies are installed perl test fails in ndbm and anydbm test.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild perl-5.6.1-34.99.6.src.rpm
2. whatch for errors
3.
	

Actual Results:  the package does not compile

Expected Results:  the perl package should compile and finish up in a .386.rpm
rpm package

Additional info:

It seems that db1 and db1-devel are a requeriment for buildint, but they are not
listed in .spec file.

I modified the perl.spec file like this:
%if %{build_rawhide}
%define threading  1

to allow threads in perl

Comment 1 Leonard den Ottolander 2004-04-22 16:51:05 UTC
Looks like you've been building a RawHide version of perl for RHL 6.x
on RHL 7.3. I don't think there have been such issues with
perl-5.6.1-36.1.73.

Closing ERRATA (looks nicer than WONTFIX or NOTABUG ;)



Note You need to log in before you can comment on or make changes to this bug.